[ISAPI_Rewrite]
# 重写 首页
RewriteRule /(.*)default\.html(.*) /$1default.asp [N,I] 

# 重写 商品搜索
RewriteRule /(.*)search.html(.*) /$1search/default.asp [N,I] 
RewriteRule /(.*)search-(.*)-(\d+)-(\d+)\.html /$1search/list/default.asp\?product_name=$2&keytype=$3&page=$4 [N,I]
RewriteRule /(.*)search-(.*)-(\d+)\.html /$1search/list/default.asp\?product_name=$2&keytype=$3 [N,I]
RewriteRule /(.*)search.html(.*) /$1search.asp [N,I] 

# 重写 商品类目
RewriteRule /(.*)category\.html(.*) /$1category/default.asp [N,I] 
RewriteRule /(.*)category-(\d+)\.html(.*) /$1category/$2/default.asp [N,I] 
RewriteRule /(.*)category\.html(.*) /$1mulu.asp [N,I]  

# 重写 商品分类
RewriteRule /(.*)category-(.*)-t(\w+)-st(\d+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&sle_type=$4&page=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-st(\d+)\.html /$1category/$2/default.asp\?listtype=$3&sle_type=$4 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listprice(\w+)-st(\d+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listprice=$4&sle_type=$5&page=$6 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listprice(\w+)-st(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listprice=$4&sle_type=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listprice(\w+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listprice=$4&page=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listprice(\w+)\.html /$1category/$2/default.asp\?listtype=$3&listprice=$4 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listview(\w+)-st(\d+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listview=$4&sle_type=$5&page=$6 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listview(\w+)-st(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listview=$4&sle_type=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listview(\w+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listview=$4&page=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listview(\w+)\.html /$1category/$2/default.asp\?listtype=$3&listview=$4 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listbuy(\w+)-st(\d+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listbuy=$4&sle_type=$5&page=$6 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listbuy(\w+)-st(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listbuy=$4&sle_type=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listbuy(\w+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listbuy=$4&page=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listbuy(\w+)\.html /$1category/$2/default.asp\?listtype=$3&listbuy=$4 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listtime(\w+)-st(\d+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listtime=$4&sle_type=$5&page=$6 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listtime(\w+)-st(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listtime=$4&sle_type=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listtime(\w+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&listtime=$4&page=$5 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-listtime(\w+)\.html /$1category/$2/default.asp\?listtype=$3&listtime=$4 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)-(\d+)\.html /$1category/$2/default.asp\?listtype=$3&page=$4 [N,I]
RewriteRule /(.*)category-(.*)-t(\w+)\.html /$1category/$2/default.asp\?listtype=$3 [N,I]

RewriteRule /(.*)category-(.*)-(\d+)\.html /$1category/$2/default.asp\?page=$3 [N,I]
RewriteRule /(.*)category-(.*)\.html(.*) /$1category/$2/default.asp [N,I] 

# 重写 品牌
RewriteRule /(.*)brand\.html(.*) /$1brand/default.asp [N,I] 
RewriteRule /(.*)brand\.html(.*) /$1brand.asp [N,I] 
RewriteRule /(.*)brand-s(\d+)-t(\w+)-listprice(\w+)-st(\d+)-(.*)-(\d+)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&listprice=$4&sle_type=$5&brand=$6&page=$7 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-listprice(\w+)-st(\d+)-(.*)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&listprice=$4&sle_type=$5&brand=$6 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-listview(\w+)-st(\d+)-(.*)-(\d+)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&listview=$4&sle_type=$5&brand=$6&page=$7 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-listview(\w+)-st(\d+)-(.*)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&listview=$4&sle_type=$5&brand=$6 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-listbuy(\w+)-st(\d+)-(.*)-(\d+)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&listbuy=$4&sle_type=$5&brand=$6&page=$7 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-listbuy(\w+)-st(\d+)-(.*)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&listbuy=$4&sle_type=$5&brand=$6 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-listtime(\w+)-st(\d+)-(.*)-(\d+)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&listtime=$4&sle_type=$5&brand=$6&page=$7 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-listtime(\w+)-st(\d+)-(.*)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&listtime=$4&sle_type=$5&brand=$6 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-st(\d+)-(.*)-(\d+)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&sle_type=$4&brand=5&page=$6 [N,I]
RewriteRule /(.*)brand-s(\d+)-t(\w+)-st(\d+)-(.*)\.html /$1brand/list/default.asp\?sort_id=$2&listtype=$3&sle_type=$4&brand=5 [N,I]
RewriteRule /(.*)brand-s(\d+)-(.*)-(\d+)\.html /$1brand/list/default.asp\?sort_id=$2&brand=$3&page=$4 [N,I]
RewriteRule /(.*)brand-s(\d+)-(.*)\.html /$1brand/list/default.asp\?sort_id=$2&brand=$3 [N,I]
RewriteRule /(.*)brand-(.*)-(\d+)\.html /$1brand/list/default.asp\?brand=$2&page=$3 [N,I]
RewriteRule /(.*)brand-(.*)\.html /$1brand/list/default.asp\?brand=$2 [N,I]

# 重写 新品
# 重写 new/default.asp
RewriteRule /(.*)new-t(\w+)-listprice(\w+)-time(\d+)-(\d+)\.html /$1new/default.asp\?listtype=$2&listprice=$3&addtime=$4&page=$5 [N,I]
RewriteRule /(.*)new-t(\w+)-listprice(\w+)-time(\d+)\.html /$1new/default.asp\?listtype=$2&listprice=$3&addtime=$4 [N,I]
RewriteRule /(.*)new-t(\w+)-listview(\w+)-time(\d+)-(\d+)\.html /$1new/default.asp\?listtype=$2&listview=$3&addtime=$4&page=$5 [N,I]
RewriteRule /(.*)new-t(\w+)-listview(\w+)-time(\d+)\.html /$1new/default.asp\?listtype=$2&listview=$3&addtime=$4 [N,I]
RewriteRule /(.*)new-t(\w+)-listbuy(\w+)-time(\d+)-(\d+)\.html /$1new/default.asp\?listtype=$2&listbuy=$3&addtime=$4&page=$5 [N,I]
RewriteRule /(.*)new-t(\w+)-listbuy(\w+)-time(\d+)\.html /$1new/default.asp\?listtype=$2&listbuy=$3&addtime=$4 [N,I]
RewriteRule /(.*)new-t(\w+)-listtime(\w+)-time(\d+)-(\d+)\.html /$1new/default.asp\?listtype=$2&listtime=$3&addtime=$4&page=$5 [N,I]
RewriteRule /(.*)new-t(\w+)-listtime(\w+)-time(\d+)\.html /$1new/default.asp\?listtype=$2&listtime=$3&addtime=$4 [N,I]
RewriteRule /(.*)new-t(\w+)-time(\d+)-(\d+)\.html /$1new/default.asp\?listtype=$2&addtime=$3&page=$4 [N,I]
RewriteRule /(.*)new-t(\w+)-time(\d+)\.html /$1new/default.asp\?listtype=$2&addtime=$3 [N,I]
RewriteRule /(.*)new-time(\d+)-(\d+)\.html /$1new/default.asp\?addtime=$2&page=$3 [N,I]
RewriteRule /(.*)new-time(\d+)\.html /$1new/default.asp\?addtime=$2 [N,I]
RewriteRule /(.*)new-(\d+)\.html /$1new/default.asp\?page=$2 [N,I]
RewriteRule /(.*)new\.html(.*) /$1new/default.asp [N,I] 

# 重写 showproduct
RewriteRule /(.*)product-(\d+)-(\d+)\.html /$1product/default\.asp\?id=$2&page=$3 [N,I]
RewriteRule /(.*)product-(\d+)\.html /$1product/default\.asp\?id=$2 [N,I]
RewriteRule /(.*)product-(\d+)-(\d+)\.html /$1showproduct\.asp\?id=$2&page=$3 [N,I]
RewriteRule /(.*)product-(\d+)\.html /$1showproduct\.asp\?id=$2 [N,I]
RewriteRule /(.*)product_pic-(\d+)-t(\w+)-p(.*)\.html /$1product/showpic/default\.asp\?id=$2&product_type=$3&pic_path=$4 [N,I]
RewriteRule /(.*)product_pic-(\d+)-t(\w+)\.html /$1product/showpic/default\.asp\?id=$2&product_type=$3 [N,I]

# 重写 推荐
# 重写 recom/default.asp
RewriteRule /(.*)recom-t(\w+)-listprice(\w+)-time(\d+)-(\d+)\.html /$1recom/default.asp\?listtype=$2&listprice=$3&retime=$4&page=$5 [N,I]
RewriteRule /(.*)recom-t(\w+)-listprice(\w+)-time(\d+)\.html /$1recom/default.asp\?listtype=$2&listprice=$3&retime=$4 [N,I]
RewriteRule /(.*)recom-t(\w+)-listview(\w+)-time(\d+)-(\d+)\.html /$1recom/default.asp\?listtype=$2&listview=$3&retime=$4&page=$5 [N,I]
RewriteRule /(.*)recom-t(\w+)-listview(\w+)-time(\d+)\.html /$1recom/default.asp\?listtype=$2&listview=$3&retime=$4 [N,I]
RewriteRule /(.*)recom-t(\w+)-listbuy(\w+)-time(\d+)-(\d+)\.html /$1recom/default.asp\?listtype=$2&listbuy=$3&retime=$4&page=$5 [N,I]
RewriteRule /(.*)recom-t(\w+)-listbuy(\w+)-time(\d+)\.html /$1recom/default.asp\?listtype=$2&listbuy=$3&retime=$4 [N,I]
RewriteRule /(.*)recom-t(\w+)-listtime(\w+)-time(\d+)-(\d+)\.html /$1recom/default.asp\?listtype=$2&listtime=$3&retime=$4&page=$5 [N,I]
RewriteRule /(.*)recom-t(\w+)-listtime(\w+)-time(\d+)\.html /$1recom/default.asp\?listtype=$2&listtime=$3&retime=$4 [N,I]
RewriteRule /(.*)recom-t(\w+)-time(\d+)-(\d+)\.html /$1recom/default.asp\?listtype=$2&retime=$3&page=$4 [N,I]
RewriteRule /(.*)recom-t(\w+)-time(\d+)\.html /$1recom/default.asp\?listtype=$2&retime=$3 [N,I]
RewriteRule /(.*)recom-time(\d+)-(\d+)\.html /$1recom/default.asp\?retime=$2&page=$3 [N,I]
RewriteRule /(.*)recom-time(\d+)\.html /$1recom/default.asp\?retime=$2 [N,I]
RewriteRule /(.*)recom-(\d+)\.html /$1recom/default.asp\?page=$2 [N,I]
RewriteRule /(.*)recom\.html(.*) /$1recom/default.asp [N,I] 

# 重写 促销
# 重写 sale/default.asp
RewriteRule /(.*)sale-s(\d+)-t(\w+)-listprice(\w+)-(\d+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&listprice=$4&page=$5 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)-listprice(\w+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&listprice=$4 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)-listview(\w+)-(\d+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&listview=$4&page=$5 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)-listview(\w+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&listview=$4 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)-listbuy(\w+)-(\d+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&listbuy=$4&page=$5 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)-listbuy(\w+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&listbuy=$4 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)-listtime(\w+)-(\d+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&listtime=$4&page=$5 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)-listtime(\w+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&listtime=$4 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)-(\d+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3&page=$4 [N,I]
RewriteRule /(.*)sale-s(\d+)-t(\w+)\.html /$1sale/default.asp\?sort_id=$2&listtype=$3 [N,I]
RewriteRule /(.*)sale-(\d+)\.html /$1sale/default.asp\?page=$2 [N,I]
RewriteRule /(.*)sale\.html(.*) /$1sale/default.asp [N,I] 

# 重写 RSS
RewriteRule /(.*)rss-(\d+)\.html(.*) /$1category/rss/default.asp\?sort_id=$2 [N,I] 

# 重写 捆绑
RewriteRule /(.*)unite-(\d+)\.html /$1unite/default\.asp\?page=$2 [N,I]
RewriteRule /(.*)unite\.html /$1unite/default\.asp [N,I]
RewriteRule /(.*)unite_show-(\d+)\.html /$1unite/show/default\.asp\?id=$2 [N,I]

# 重写 换购
RewriteRule /(.*)gift-(\d+)\.html /$1gift/default\.asp\?page=$2 [N,I]
RewriteRule /(.*)gift\.html /$1gift/default\.asp [N,I]

# 重写 帮助
RewriteRule /(.*)help_class-(\d+)-(\d+)\.html /$1help/class/default\.asp\?id=$2&page=$3 [N,I]
RewriteRule /(.*)help_class-(\d+)\.html /$1help/class/default\.asp\?id=$2 [N,I]
RewriteRule /(.*)help_system\.html /$1help/system/default\.asp [N,I]
RewriteRule /(.*)help\.html /$1help/default\.asp [N,I]

# 重写 新闻
RewriteRule /(.*)news_class-(\d+)-(\d+)\.html /$1news/class/default\.asp\?id=$2&page=$3 [N,I]
RewriteRule /(.*)news_class-(\d+)\.html /$1news/class/default\.asp\?id=$2 [N,I]
RewriteRule /(.*)news_list-(\d+)-(\d+)\.html /$1news/list/default\.asp\?id=$2&page=$3 [N,I]
RewriteRule /(.*)news_list-(\d+)\.html /$1news/list/default\.asp\?id=$2 [N,I]
RewriteRule /(.*)news\.html /$1news/default\.asp [N,I]

# 重写 留言
RewriteRule /(.*)book-(\d+)\.html /$1book/default\.asp\?page=$2 [N,I]
RewriteRule /(.*)book\.html /$1book/default\.asp [N,I]

# 重写 链接
RewriteRule /(.*)links\.html /$1link/default\.asp [N,I]